%define oname   gWakeOnLAN

Name:           gwakeonlan
Version:        0.8.6
Release:        %mkrel 3
Summary:        A GTK+ utility to awake machines using the Wake on LAN
Group:          Networking/Other
License:        GPLv2
URL:            https://www.muflone.com/gwakeonlan/
Source0:        https://github.com/muflone/gwakeonlan/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pyxdg)
Requires:       python3dist(pygobject)
Requires:       python3dist(pyxdg)

%description
gWakeOnLan is a GTK+ utility to awake turned off machines using
the Wake On LAN feature.
It allows to turn on machines in the local network or throught
Internet using a destination host and a specified UDP port number.
The machines to turn on need to be shut off with the Wake on LAN
magic packet enabled.
If WOL is available on your computer, do not forget to enable it
on the BIOS.

%prep
%setup -q

# fix permissions
chmod 0644 data/%{name}.desktop

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%find_lang %{name}

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_metainfodir}/com.muflone.%{name}.metainfo.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.6-3.mga10
+ Revision: 2243284
- Mageia 10 Mass Rebuild

* Fri Mar 07 2025 daviddavid <daviddavid> 0.8.6-2.mga10
+ Revision: 2161625
- rebuild for python 3.13

* Mon Sep 02 2024 daviddavid <daviddavid> 0.8.6-1.mga10
+ Revision: 2092649
- new version: 0.8.6

* Wed Dec 20 2023 daviddavid <daviddavid> 0.8.5-2.mga10
+ Revision: 2019988
- rebuild for py3.12

* Mon Nov 07 2022 daviddavid <daviddavid> 0.8.5-1.mga9
+ Revision: 1904313
- new version: 0.8.5
+ neoclust <neoclust>
- New version  0.8.4

* Thu Mar 24 2022 umeabot <umeabot> 0.7.0-3.mga9
+ Revision: 1824936
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.7.0-2.mga9
+ Revision: 1782890
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.7.0-1.mga9
+ Revision: 1705299
- new version: 0.7.0

* Sat Mar 20 2021 daviddavid <daviddavid> 0.6.3-7.mga9
+ Revision: 1705298
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.3-6.mga8
+ Revision: 1535859
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 wally <wally> 0.6.3-5.mga8
+ Revision: 1452779
- switch to python3

* Thu Sep 20 2018 umeabot <umeabot> 0.6.3-4.mga7
+ Revision: 1278646
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 daviddavid <daviddavid> 0.6.3-3.mga7
+ Revision: 1132068
- add a missing dependency on python-pyxdg (mga#21386)

* Sat Feb 20 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 971744
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 0.6.3-1.mga6
+ Revision: 892612
- new version: 0.6.3
- update URL and Source URL
- use more new python2 macros
- update file list

* Sun Oct 18 2015 daviddavid <daviddavid> 0.5.1-9.mga6
+ Revision: 892601
- make it noarch thus fixing empty debuginfo
- use new python macros
- use find_lang macro

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga5
+ Revision: 748764
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-7.mga5
+ Revision: 726456
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 680058
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-5.mga5
+ Revision: 628247
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 542683
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.5.1-3.mga4
+ Revision: 497771
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 353057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 dams <dams> 0.5.1-1.mga2
+ Revision: 220221
- imported package gwakeonlan

